<template>
  <div class="main1">
    <div v-if="getState===true">
      <div class="mt-5">
        <div class="container">
          <div class="row">
            <div class="col-lg-6 col-sm-12">
              <div class="row">
                <div class="col-lg-12 col-md-6 col-sm-6">
                  <CreateFamily/>
                </div>
                <div class="col-lg-12 col-md-6 col-sm-6">
                  <JoinFamily/>
                </div>
              </div>       
            </div>
            <div class="col-lg-6 col-sm-12 text-right mt-4">
              <img src="@/assets/mirage-create.png" width="360px;">
            </div>
          </div>
        </div>
      </div>
    </div>
    <div v-else>
      <h1>debes registrarte primero</h1>
    </div>    
  </div>
</template>

<script>
import {RTDB} from '../main.js'
import { mapState, mapGetters } from 'vuex'
import CreateFamily from '@/components/CreateFamily.vue';
import JoinFamily from '@/components/Join.vue'; 
export default {
  data() {
    return {
       x:0,
    };
  },
  computed:{
    ...mapGetters(['getState','getEmail']),
  },
  name: 'main1',
  components:{
    CreateFamily,
    JoinFamily
  },
  
  created(){
    console.log(this.getEmail+" "+this.getState);
    let ids=0;
    const axios = require('axios').default;
    let _self=this;
    axios.get("http://localhost:55275/AppartamentoService.svc/GetUserByMailAsync/"+this.getEmail).then(function (response){
      console.log('respuesta: '+response.data);
      ids=response.data;
      return ids;
    }).then(function (val){
      console.log('lev 2 '+ val)
       _self.$store.dispatch('setId',val);
       var f='';
       let arr=[];
       RTDB.ref('usuario/'+val+'/').on('value', function(snapshot) {
          arr.push(snapshot.val())  ;
          console.log("1 ff "+arr[0].family);
          f=arr[0].family;
          if(f!='0'){
            _self.$store.dispatch('setCodeFamily',f)
            _self.$router.push({name:'home'})
          }
        });
      }).catch(function(err){
        console.log("err"+err);
      })
    
  },  
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
.container{
  max-width: 960px;
}
.h1{
  color:red;
}
</style>
